Only restart services which are enabled.
[mom.git] / pl_mop.sh
index a94afbf..a278230 100755 (executable)
--- a/pl_mop.sh
+++ b/pl_mop.sh
@@ -54,6 +54,7 @@ fix_etc_shadow() {
 # keep essential services running
 restart_services() {
     for service in sshd pl_sshd swapmon nm fprobe-ulog codemux; do
+       chkconfig --list $service | grep -q 3:on || continue
         echo "* Checking $service"
         status=$(service $service status)
         if [ $? -ne 0 ] || echo $status 2>&1 | grep -q stopped ; then